JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Member Functions | Friends | List of all members
Json::PathArgument Class Reference

Experimental and untested: represents an element of the "path" to access a node. More...

`#include <json/value.h>`

Collaboration diagram for Json::PathArgument:

## Public Member Functions
| PathArgument ()
| PathArgument (ArrayIndex index)
| PathArgument (const char *key)
| PathArgument (String key)

## Friends
class | Path

## Detailed Description

Experimental and untested: represents an element of the "path" to access a node.

Definition at line 813 of file value.h.

## Constructor & Destructor Documentation

## ◆ PathArgument() [1/4]

Json::PathArgument::PathArgument | ( |  | ) |
| default

References PathArgument().

Referenced by PathArgument().

Here is the caller graph for this function:

## ◆ PathArgument() [2/4]

Json::PathArgument::PathArgument | ( | ArrayIndex | index | ) |

Definition at line 1609 of file json_value.cpp.

## ◆ PathArgument() [3/4]

Json::PathArgument::PathArgument | ( | const char * | key | ) |

Definition at line 1612 of file json_value.cpp.

## ◆ PathArgument() [4/4]

Json::PathArgument::PathArgument | ( | String | key | ) |

Definition at line 1614 of file json_value.cpp.

## Friends And Related Symbol Documentation

## ◆ Path

friend class Path
| friend

Definition at line 815 of file value.h.

References Path.

Referenced by Path.

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_value.cpp